## evilginx2 3.3.0+ds1

=== Makefile ===
TARGET=evilginx
PACKAGES=core database log parser

.PHONY: all build clean
all: build

build:
	@go build -o ./build/$(TARGET) -mod=vendor main.go

clean:
	@go clean
	@rm -f ./build/$(TARGET)

## evilginx2 3.2.0+ds1

=== debian/changelog ===
evilginx2 (3.2.0+ds1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:03:46 +0200

evilginx2 (3.2.0+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.0+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Aug 2023 09:06:27 +0200

evilginx2 (3.1.0+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.0+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Jul 2023 17:08:15 +0200

evilginx2 (3.0.0+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.0+ds1
  * Refresh patches
  * Add missing build-dep golang-github-caddyserver-certmagic-dev
  * Update installation for new release
  * Update debian/copyright with new upstream license
  * Clean debian/rules
  * Use packaged libjs-*

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 Jun 2023 14:14:48 +0200

evilginx2 (2.4.0+git20210208.511860c+ds1-0kali2) kali-dev; urgency=medium

  * Add superficial autopkgtest
  * Define defaults dirs
  * Remove links in README

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 09 Jan 2023 15:04:24 +0100

evilginx2 (2.4.0+git20210208.511860c+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.4.0+git20210208.511860c+ds1 (see 4000)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 09 Jan 2023 14:06:42 +0100

=== debian/control ===
Source: evilginx2
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-elazarl-goproxy-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-gorilla-mux-dev,
 golang-vhost-dev,
 golang-github-caddyserver-certmagic-dev,
 golang-github-mattn-go-colorable-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-mitchellh-mapstructure-dev,
 golang-github-pelletier-go-toml-dev,
 golang-github-tidwall-btree-dev,
 golang-github-tidwall-buntdb-dev,
 golang-github-tidwall-gjson-dev,
 golang-github-tidwall-grect-dev,
 golang-github-tidwall-match-dev,
 golang-github-tidwall-pretty-dev,
 golang-github-tidwall-rtree-dev,
 golang-github-tidwall-tinyqueue-dev,
 golang-github-chzyer-readline-dev,
 golang-github-fatih-color-dev,
 golang-github-hashicorp-hcl-dev,
 golang-github-magiconair-properties-dev,
 golang-github-miekg-dns-dev,
 golang-github-mwitkow-go-http-dialer-dev,
 golang-github-spf13-afero-dev,
 golang-github-spf13-cast-dev,
 golang-github-spf13-jwalterweatherman-dev,
 golang-github-spf13-pflag-dev,
 golang-github-spf13-viper-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
 golang-gopkg-square-go-jose.v2-dev,
 golang-gopkg-yaml.v2-dev
Standards-Version: 4.6.2
Homepage: https://github.com/kgretzky/evilginx2
XS-Go-Import-Path: github.com/kgretzky/evilginx2

Package: evilginx2
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Suggests: libjs-bootstrap, libjs-popper.js
Description: man-in-the-middle attack framework
 This package contains a man-in-the-middle attack framework used for phishing
 login credentials along with session cookies, which in turn allows to bypass
 2-factor authentication protection.
 .
 This tool is a successor to Evilginx, released in 2017, which used a custom
 version of nginx HTTP server to provide man-in-the-middle functionality to act
 as a proxy between a browser and phished website. Present version is fully
 written in GO as a standalone application, which implements its own HTTP and
 DNS server, making it extremely easy to set up and use.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_after_dh_auto_configure:
	cp -av debian/vendor/* _build/src

## evilginx2 3.3.0+ds1

=== debian/changelog ===
evilginx2 (3.3.0+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.0+ds1
  * Add missing dep golang-github-caddyserver-certmagic version >= 0.20 (it
    can be reverted once this version is in Debian)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Apr 2024 13:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: evilginx2
 Section: misc
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,7 +12,8 @@
  golang-github-fsnotify-fsnotify-dev,
  golang-github-gorilla-mux-dev,
  golang-vhost-dev,
- golang-github-caddyserver-certmagic-dev,
+# golang-github-caddyserver-certmagic-dev,
+ golang-github-go-resty-resty-dev,
  golang-github-mattn-go-colorable-dev,
  golang-github-mattn-go-isatty-dev,
  golang-github-mitchellh-mapstructure-dev,
@@ -41,9 +42,15 @@
  golang-golang-x-sys-dev,
  golang-golang-x-text-dev,
  golang-gopkg-square-go-jose.v2-dev,
- golang-gopkg-yaml.v2-dev
+ golang-gopkg-yaml.v2-dev,
+ golang-go.uber-zap-dev,
+ golang-github-libdns-libdns-dev,
+ golang-github-klauspost-cpuid-dev,
+ golang-github-mholt-acmez-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/kgretzky/evilginx2
+Vcs-Browser: https://gitlab.com/kalilinux/packages/evilginx2
+Vcs-Git: https://gitlab.com/kalilinux/packages/evilginx2.git
 XS-Go-Import-Path: github.com/kgretzky/evilginx2
 
 Package: evilginx2

=== debian/tests/control ===
Test-Command: evilginx2 -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/kgretzky/evilginx2/tags .*/v?(\d\S*)\.tar\.gz debian
